Skip to main content
GET
/
api
/
v1
/
processes
/
{pid}
Get a process
curl --request GET \
  --url https://{sandbox_id_or_name}.sandbox.tensorlake.ai/api/v1/processes/{pid} \
  --header 'Authorization: Bearer <token>'
{
  "pid": 123,
  "status": "running",
  "stdin_writable": true,
  "command": "<string>",
  "args": [
    "<string>"
  ],
  "started_at": 123,
  "exit_code": 123,
  "signal": 123,
  "ended_at": 123
}
Get the current status and metadata for one process.

Endpoint

GET /api/v1/processes/{pid}

Example Request

curl https://<sandbox-id>.sandbox.tensorlake.ai/api/v1/processes/42 \
  -H "Authorization: Bearer $TENSORLAKE_API_KEY"

Response

Tensorlake returns 200 OK with the process metadata:
{
  "pid": 42,
  "status": "running",
  "exit_code": null,
  "signal": null,
  "stdin_writable": false,
  "command": "python",
  "args": ["-m", "http.server", "8080"],
  "started_at": 1710000000000,
  "ended_at": null
}
If the process does not exist, Tensorlake returns 404 Not Found.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

pid
integer<int32>
required

The operating system PID of the process.

Response

Process metadata

pid
integer<int32>
required
status
enum<string>
required
Available options:
running,
exited,
signaled
stdin_writable
boolean
required
command
string
required
args
string[]
required
started_at
integer<int64>
required
exit_code
integer<int32> | null
signal
integer<int32> | null
ended_at
integer<int64> | null